Chuyển đến nội dung
Diễn đàn CADViet

binbin72088@gmail.com

Thành viên
  • Số lượng nội dung

    16
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

-6 (hơi kém)

About binbin72088@gmail.com

  • Cấp bậc
    biết zoom

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    chủ topic từng sử dụng rhino nên biết đây là công cụ rất mạnh có tên setpt, nhưng hoài mà ko thấy cad có lệnh tương tự như vậy, nên hỏi để biết và cũng góp phần làm phong phú lệnh cho cad, nói hỏi để giải trí thì hơi lố đấy. vấn đề bắt điểm là một đề tài muôn thuở, vẽ đường grid thẳng sẽ có người bắt điểm cuối lệch 0.1 0.3.., nên để chắc chắn line nằm trên một đường thẳng thì lệnh này sẽ rất hữu dụng đấy.
  2. binbin72088@gmail.com

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    anh @thiep ơi code của topic này gần ok rồi, anh @thiep có cách nào vừa tự động mở chính file đó vừa view tới view cần thiết không? xin anh trợ giúp.
  3. Xin chào bạn, lisp copy view qua máy khác của bạn rất tuyệt, nhưng trong trường hợp máy khác đang không mở cùng file với máy chính nhưng vẫn cùng hệ thống mạng, có cách nào để dòng lệnh này tự mở file đó và view tới view đó luôn ko?

  4. binbin72088@gmail.com

    Hỏi cách thay đổi plotstyle hàng loạt file

    Huhu sao ko ai trả lời thế này huhu
  5. binbin72088@gmail.com

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    Bây giờ mình lại nảy sinh ra ý tưởng mới nữa là máy A tạo lệnh trên DRAWING1.dwg , nhưng máy B đang không bật file của máy A. Có cách nào để khi nhập lệnh bên máy B thì file DRAWING1.dwg tự mở trên máy B và dẫn đến view của máy A ko (mở readonly cũng được). ( chính là update của lệnh các bạn đã thảo luận ở trên nhưng thêm một bước mở file nữa)
  6. binbin72088@gmail.com

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    thanks bạn @snowman.hms và bạn @ngokiet , cả hai lisp đều rất tuyệt và đúng ý rất hay, mình cũng thử làm lisp bằng lệnh zoom center nhưng ko vào trực tiếp đúng scale view như mấy bạn được, mình bổ sung thêm là lệnh sau khi tạo ra sẽ được copy trực tiếp vào clipboard bớt đi một công đoạn copy. : lệnh covi (là copy view chứ ko phải corona nha) (defun c:covi (/ p x y ptcoord ) ;by binbin72088@gmail.com (setq p (getpoint "Pick Point: ")) (setq x (rtos (car p))) (setq y (rtos (cadr p))) (setq z (rtos (caddr p))) (setq ptcoord (strcat x ", " y ", " z)) (vlax-invoke (vlax-get (vlax-get (vlax-create-object "htmlfile") 'ParentWindow) 'ClipBoardData) 'setData "TEXT" (strcat "_zoom c "x","y" 3000 .") ) )
  7. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    Quá tuyệt vời, ko những theo phương x, phương y, mà còn cả phương chéo, vượt mong đợi, thanks a Thiệp.
  8. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    Xin cám ơn đóng góp của mọi người, biết lisp làm được nhiều thứ hay vầy em cũng tập tành làm từ sớm rùi, hôm bữa mới đọc cuốn nhập môn lisp mà thích wa. ko biết khi nào mới viết lisp đc như mọi người. người nào viết lisp nhìn cũng pro lắm luôn.
  9. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    Cảm ơn anh @cuongtk2 nhiều lắm, lisp đúng ý lun, lần đầu tiên e xài lisp bằng vba luôn. Đồng thời cũng cảm ơn anh @thiep vì rất hào hiệp. E cũng muốn biết bản chất cách làm như nào để tự làm cho trục oy nữa, mấy anh cho em biết nguyên lý được ko? Ban đầu e nghĩ là dùng SSget rồi chọn các vertex, rồi dùng hàm for cho từng điểm, sau đó move lần lượt các điểm về 0, e biết sơ sơ ko biết vậy có đúng ko?
  10. Mình có một ý tưởng khi trao đổi tài liệu với đồng nghiệp nhưng ko biết autocad có lệnh này không, đó là khi hai hay nhiều máy cùng mở 1 file autocad quy hoạch diện tích rất là rộng, mình đang ở khu vực A mà đồng nghiệp mình thì đang ở khu vực bất kỳ nào đó trên bản vẽ, bây giờ mình muốn họ chuyển tới view A ngay để cùng trao đổi vấn đề. thay vì họ phải mất công lăn chuột rồi mò mới thấy khu vực A mất thời gian, thì có lệnh nào copy khu vực A máy mình thành 1 dòng lệnh và chỉ cần họ nhập vào command thôi là sẽ tới được khu vực A ngay lập tức. Mình thì biết công cụ tạo view nhưng như vậy phải setup và đặt tên view trên 1 máy trước sau đó mới bật trên các máy còn lại thì không linh hoạt và chỉ có một số view cố định, trong khi mình muốn view A đó có thể là bất kỳ chỗ nào trên bản vẽ. Ai biết cách làm bày mình đc ko.
  11. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    vâng mình sẽ liên hệ sau giờ làm.
  12. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    Cám ơn bạn @Doan Nguyen Van bạn làm gần ra ý mình rồi đó, sẽ có hai thao tác 1 và 2 như hình và áp dụng cho tất cả các object được chọn.
  13. binbin72088@gmail.com

    Hỏi cách thay đổi plotstyle hàng loạt file

    Xin chào mọi người, mình đang có thắc mắc về việc vều đổi plotstyle cho hàng loạt file trong sheetset thì không biết mình làm như nào hay có lisp nào làm được không, chứ hiện giờ mình muốn đổi mà vào từng file nên hơi cực.
  14. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    file trên mình vẽ đại khái để minh họa ah
  15. binbin72088@gmail.com

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    bạn biết lisp nào ko chỉ mình với.
×